[ GLSA 201807-01 ] tqdm: Arbitrary code execution


–Yylu36WmvOXNoKYn
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

– – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – –
Gentoo Linux Security Advisory GLSA 201807-01
– – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – –
https://security.gentoo.org/
– – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – –

Severity: Normal
Title: tqdm: Arbitrary code execution
Date: July 18, 2018
Bugs: #636384
ID: 201807-01

– – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – –

Synopsis
=3D=3D=3D=3D=3D=3D=3D=3D

A vulnerability in tqdm could allow remote attackers to execute
arbitrary code.

Background
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

tqdm is a smart progress meter.

Affected packages
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

——————————————————————-
Package / Vulnerable / Unaffected
——————————————————————-
1 dev-python/tqdm =3D 4.23.3=20

Description
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

A vulnerablility was discovered in tqdm._version that could allow a
malicious git log within the current working directory.

Impact
=3D=3D=3D=3D=3D=3D

A remote attacker could execute arbitrary commands by enticing a user
to clone a crafted repo.

Workaround
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

There is no known workaround at this time.

Resolution
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

All tqdm users should upgrade to the latest version:

# emerge –sync
# emerge –ask –oneshot –verbose “>=3Ddev-python/tqdm-4.23.3″

References
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

[ 1 ] CVE-2016-10075
https://nvd.nist.gov/vuln/detail/CVE-2016-10075

Availability
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

https://security.gentoo.org/glsa/201807-01

Concerns?
=3D=3D=3D=3D=3D=3D=3D=3D=3D

Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users’ machines is of utmost
importance to us. Any security concerns should be addressed to
security@gentoo.org or alternatively, you may file a bug at
https://bugs.gentoo.org.

License
=3D=3D=3D=3D=3D=3D=3D

Copyright 2018 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons – Attribution / Share Alike license.

https://creativecommons.org/licenses/by-sa/2.5

–Yylu36WmvOXNoKYn
Content-Type: application/pgp-signature; name=”signature.asc”

—–BEGIN PGP SIGNATURE—–

iQEzBAABCAAdFiEEiDRK3jyVBE/RkymqpRQw84X1dt0FAltOuwoACgkQpRQw84X1
dt1kzwf+OKY622W8MV5IRiG5ZoiaTRFQZbPtdM9GQqhIERlB+PyhC4aDAv3+ei1N
Sy7OzpcO77YfnMJUZoMLTGPGRdFogoetdIH8HYU3axvJ5cN5AZImSC+BJi3TF9/e
j7rL6qUWhjCr5YI5CdgKrH1on1scmmMJR3SvQQbPRJrhclDolVyhmWRhG0TAUy4S
WFp5Na8KcnDErI3K1+ZSI9+GwWgCZPnOwVJPp9kColsWFemVggATeyhhyj9/BEIO
6cNm8huExP40uJ37/MsBqmvhZCC3ZwLeHMLm1P32DMbHyEt+u46gMY7P8I2t4nJE
gNQyXw8qR4iYf6X/RwnXL2iUR0lzsA==
=aYEm
—–END PGP SIGNATURE—–

–Yylu36WmvOXNoKYn–